-- This file is loaded from "PetDupe.toc"

-- Set the commands
SLASH_PETDUPE1 = "/PetDupe"
SLASH_PETDUPE2 = "/PD"

local function PDFindDupes()
	local _,NumPets = C_PetJournal.GetNumPets()
	local Previous = 0
	for i = 1, NumPets do
		local petID, speciesID, owned, customName, level, favorite, isRevoked, speciesName, icon, petType, companionID, tooltip, description, isWild, canBattle, isTradeable, isUnique, obtainable = C_PetJournal.GetPetInfoByIndex(i)
		if speciesID == Previous then
			if isTradeable then
				print(i, "Cage", C_PetJournal.GetBattlePetLink(petID))
--				C_PetJournal.CagePetByID(petID)
			elseif C_PetJournal.PetCanBeReleased(petID) then
				print(i, "Release", C_PetJournal.GetBattlePetLink(petID))
			else
				print(i, "Unknown", C_PetJournal.GetBattlePetLink(petID))
			end
		end
		Previous = speciesID
	end
end
		
-- The script to run when called
function SlashCmdList.PETDUPE()

	PDFindDupes()

end

